#!/usr/bin/python
# -*- coding: utf-8 -*-

__all__ = ['model']

import os
from glob import glob

_modules = list(map(os.path.basename,
                glob(os.path.join(os.path.dirname(__file__), '*.py'))))
#print _modules
#_modules.remove('__init__.py')
_modules = [mod[:-3] for mod in _modules]

model = {}

for mod in _modules:
    _module = __import__('model.' + mod, fromlist=[mod])
    if 'suite' in _module.__dict__:
        model[mod] = _module.suite
